{
  glucose.modules = [
    ({
      config,
      lib,
      ...
    }: {
      services.grafana = {
        enable = true;
        dataDir = "/var/services/grafana";
        # declarativePlugins = null;

        settings = {
          # analytics = {};
          # database = {};
          # paths = {};
          security = {
            admin_user = builtins.concatStringsSep "" ["$__file" "{${config.sops.secrets.grafana_admin_account.path}}"];
            admin_password = builtins.concatStringsSep "" ["$__file" "{${config.sops.secrets.grafana_admin_pass.path}}"];
          };
          server = {
            root_url = "https://grf.collective-conciousness.monster";
            enable_gzip = true;
            http_addr = "0.0.0.0";
            http_port = 6700;
          };
          # smtp = {};
          # users = {};
        };

        /*
          provision = {
          alerting = {};
          dashboards = {};
          datasources = {};
        };
        */
      };
    })
  ];
}
